/**
 * Block UI for Vue Directive
 */

import 'jquery.blockUI';

export default  {
    params: ['loaderText'],
    update (value) {
        if (value) {
            window.Metronic.blockUI({
                target: this.el,
                message: this.params.loaderText || 'Loading...',
                boxed: true,
                textOnly: true
            });
        } else {
            window.Metronic.unblockUI(this.el);
        }
    }
};